Ethiopian Events API Documentation

Introduction

Welcome to the Ethiopian Events API! This API allows you to retrieve holidays and events for Ethiopia for any given year. You can use this API to integrate Ethiopian holiday data into your applications, websites, and more.

Base URL

https://api.ethioall.com/events/api

Try the API

Click the button below to fetch Ethiopian events for 2024:

Response:
Click the button to see the response here...

Example API Response Format

[
  {
    "date": "2024-01-07",
    "name": "Ethiopian Christmas (Genna)",
    "type": "Public"
  },
  {
    "date": "2024-01-19",
    "name": "Epiphany (Timkat)",
    "type": "Public"
  },
  {
    "date": "2024-03-02",
    "name": "Adwa Victory Day",
    "type": "Public"
  }
]

Fields in the Response:

How to Use the Ethiopian Events API

You can access the API by making a GET request to the following endpoint:

https://api.ethioall.com/events/api?country=ET&year=2024

Parameters:

Example Request with cURL

curl -X GET "https://api.ethioall.com/events/api?country=ET&year=2024"

Examples in Different Programming Languages

PHP Example


<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.ethioall.com/events/api?country=ET&year=2024");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
if ($response !== false) {
    $data = json_decode($response, true);
    print_r($data);
}
curl_close($ch);
?>

Python Example

import requests
url = "https://api.ethioall.com/events/api?country=ET&year=2024"
response = requests.get(url)
if response.status_code == 200:
    data = response.json()
    print(data)

JavaScript (Node.js) Example

const axios = require('axios');
axios.get('https://api.ethioall.com/events/api?country=ET&year=2024')
  .then((response) => {
    console.log(response.data);
  });

Ruby Example

require 'net/http'
require 'json'
url = URI.parse("https://api.ethioall.com/events/api?country=ET&year=2024")
response = Net::HTTP.get(url)
data = JSON.parse(response)
puts data

Error Handling

The API responds with an HTTP status code. Common error codes:

Use Cases